use frame_support::weights::Weight;

pub trait WeightInfo {
    fn register_round0_package() -> Weight;
    fn register_round1_package(package_len: u32) -> Weight;
    fn register_encrypted_round2_packages(packages: u32,) -> Weight;
    fn register_round3_complaints(indices: u32) -> Weight;
    fn register_round4_justifications(packages: u32) -> Weight;
    fn register_round5_verifying_package() -> Weight;
    fn register_round6_public_share_package(packages: u32) -> Weight;
    fn register_nonce_commitment() -> Weight;
    fn register_group_commitment() -> Weight;
    fn register_signature_share() -> Weight;

    fn register_evm_bridge_out_exodus() -> Weight;
}

impl WeightInfo for () {
    fn register_round0_package() -> Weight {
        Default::default()
    }
    fn register_round1_package(_package_len: u32) -> Weight {
        Default::default()
    }
    fn register_encrypted_round2_packages(_packages: u32,) -> Weight {
        Default::default()
    }
    fn register_round3_complaints(_indices: u32) -> Weight {
        Default::default()
    }
    fn register_round4_justifications(_packages: u32) -> Weight {
        Default::default()
    }
    fn register_round5_verifying_package() -> Weight {
        Default::default()
    }
    fn register_round6_public_share_package(_packages: u32) -> Weight {
        Default::default()
    }
    fn register_nonce_commitment() -> Weight {
        Default::default()
    }
    fn register_group_commitment() -> Weight {
        Default::default()
    }
    fn register_signature_share() -> Weight {
        Default::default()
    }
    fn register_evm_bridge_out_exodus() -> Weight {
        Default::default()
    }
}
